
From: Dave Boutcher <boutcher@us.ibm.com>

This patch fixes a long term borkenness in ibmvscsi where we were using the
wrong timeout field from the scsi command (and using the wrong units.) Now
broken by the fact that the scsi_cmnd timeout field is gone entirely.  This
only worked before because all the SCSI targets assumed that 0 was default.

Acked-by: Joel Schopp <jschopp@austin.ibm.com>
Signed-off-by: Dave Boutcher <boutcher@us.ibm.com>
Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/ibmvscsi/ibmvscsi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/ibmvscsi/ibmvscsi.c~git-scsi-misc-ibmvscsi-fix-fix drivers/scsi/ibmvscsi/ibmvscsi.c
--- devel/drivers/scsi/ibmvscsi/ibmvscsi.c~git-scsi-misc-ibmvscsi-fix-fix	2005-08-22 18:31:17.000000000 -0700
+++ devel-akpm/drivers/scsi/ibmvscsi/ibmvscsi.c	2005-08-22 18:31:23.000000000 -0700
@@ -594,7 +594,7 @@ static int ibmvscsi_queuecommand(struct 
 	init_event_struct(evt_struct,
 			  handle_cmd_rsp,
 			  VIOSRP_SRP_FORMAT,
-			  cmnd->timeout_per_command);
+			  cmnd->timeout_per_command/HZ);
 
 	evt_struct->cmnd = cmnd;
 	evt_struct->cmnd_done = done;
_
